0

I'm not able to make my component's update system work on Joomla 4. I don't know what's missing.

My manifest file: https://tabaoca.org/tabapapo-updates/updates.xml

Download component: https://tabaoca.org/tabapapo-updates/com_tabapapo-0.9.2.zip

3
  • "my extension don't work" is not an articulate expression of your problem. For Q&A pages to be helpful to future researchers with the same issue, the title and problem description needs to specify the problem and any relevant symptoms. Please edit your question to present better details that do not clicking a hyperlink to find.
    – mickmackusa
    May 26 at 0:27
  • Thanks for the tip. Next time I will pay more attention to that. My question has already been answered and resolved by @sharky.
    – JonatasCF
    May 26 at 19:38
  • Sometimes it is easier to locate and present relevant diagnostic details AFTER you receive resolving advice. It is never too late to edit and improve the clarity, searchability, completeness of a question. The goal, now that your issue is resolved, is to focus on how to help future readers of this page which may have is similar issue. Ask yourself, if you were someone else, would you be able to find this page via Google search? What keywords would you use? Does this question title need different wording? Does this page need to rely on readers visiting 3 hyperlinks?
    – mickmackusa
    May 26 at 20:56

1 Answer 1

1

The version in <targetplatform> is a regular expression pattern. I am guessing you are already using Joomla 4.1 which is causing your current pattern (4.0) to fail. You need to update the pattern to include 4.1. Below is just one many patterns that you can use. Note that the beginning match operator (^) is prepended automatically. Once you're ready to support 4.2, change the 1 to 2 and it will match all versions from 4.0.0 to 4.2.x.

4\.[0-1]\.

Another issue could be that you're using alpha stability tags in your update manifest. In which case you must set "Minimum Extension Stability" option to alpha in Installer component configuration.

1
  • Thank you very much, it worked, that was exactly it. The update notification appeared again, but the component still does not perform the update automatically, it is still necessary to uninstall and reinstall. I think it's some problem with SQL. But that's another problem. Thank you one more time.
    – JonatasCF
    May 26 at 19:24

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.